--[[

Utility functions

]]

SydUtils = {logPrefix='Utils2.0: ', logR=0.5, logG=0.5, logB=0.5};

function SydUtils:Log(theMsg)
	self:Msg(self.logPrefix,theMsg);
end

function SydUtils:Msg(...)
	local line = '';
	for i,eachArg in ipairs{...} do
		line = line .. tostring(eachArg);
	end
	local chatFrame = DEFAULT_CHAT_FRAME or error('No chat frame found');
	chatFrame:AddMessage(line, self.logR, self.logG, self.logB);
end

function SydUtils:EnableLogging(class, prefix, r, g, b)
	class.logPrefix = prefix or '';
	class.logR = r or 0.5;
	class.logG = g or 0.5;
	class.logB = b or 0.5;
	class.Msg = self.Msg;
	class.Log = self.Log;
end